E_SMI_TOOL(1)

NAME
e_smi_tool - AMD EPYC System Management Interface Tool

SYNOPSIS
e_smi_tool [Option]... <INPUT>...

DESCRIPTION
e_smi_tool get informations from EPYC System Management Interface

  Output Option<s>:

-h, --help
    Show this help message

-A, --showall
    Show all esmi parameter values

-V  --version
    Show e-smi library version

--testmailbox [SOCKET] [VALUE<0-0xFFFFFFFF>]
    Test HSMP mailbox interface

--writemsrallowlist
    Write msr-safe allowlist file

--json
    Print output on console as json format[applicable only for get commands]

--csv
    Print output on console as csv format[applicable only for get commands]

--initialdelay [INITIAL_DELAY] <TIME_RANGE<ms,s,m,h,d>>
    Initial delay before start of execution

--loopdelay
    [LOOP_DELAY] <TIME_RANGE<ms,s,m,h,d>> Loop delay before executing each loop

--loopcount
    [LOOP_COUNT] Set the loop count to the specified value[pass "-1" for infinite loop]

--stoploop
    [STOPLOOP_FILE_NAME] Set the StopLoop file name, loop will stop once the stoploop file is available

--printonconsole [ENABLE_PRINT<0-1>]
    Print output on console if set to 1, or 0 to suppress the console output

--log [LOG_FILE_NAME]
    Set the Log file name, in which the data collected need to be logged

  Get Option<s>:

--showcoreenergy [CORE]
    Show energy for a given CPU (Joules)

--showsockenergy
    Show energy for all sockets (KJoules)